<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
                xmlns:ScriptNS0="http://schemas.microsoft.com/BizTalk/2003/ScriptNS0"
                xmlns:ScriptNS1="http://schemas.microsoft.com/BizTalk/2003/ScriptNS1"
                
                xmlns:DateTime="TM.Shared.Components.DateTime"
                xmlns:SSO="TM.Shared.Components.SSO"
                xmlns:String="TM.Shared.Components.String"
                
                xmlns:s0="http://TM.KLG.com/KLG/OrderStatus"
				xmlns:ns0="TM.HelloBizTalk2013World.Schemas"
                
                exclude-result-prefixes="s0  ScriptNS0 ScriptNS1 DateTime SSO String">

  <xsl:output omit-xml-declaration="yes" method="xml" version="1.0" indent="yes" />

  <xsl:variable name="connectionString" select="SSO:GetValue('HelloBizTalk2013World', 'ESBLookupConnectionString')"/>

  <xsl:template match="/">
    <xsl:apply-templates select="/s0:StatusReport" />
  </xsl:template>

  <xsl:template match="/s0:StatusReport">
    <ns0:ShipmentStatus>
      <ShipmentStatusReport>
        <ShipmentNumber>
          <xsl:value-of select="Status/ShipmentReference"/>
        </ShipmentNumber>
        <StatusCode>D</StatusCode>
        <StatusDateTime>
          <xsl:value-of select="Status/StatusTimeStamp"/>
        </StatusDateTime>
        <SignedBy />
        <Remarks />
      </ShipmentStatusReport>
    </ns0:ShipmentStatus>
  </xsl:template>


</xsl:stylesheet>