namespace TM.HelloBizTalk2013World.Transforms {
    
    
    [Microsoft.XLANGs.BaseTypes.SchemaReference(@"TM.Shared.Schemas.OrderStatus", typeof(global::TM.Shared.Schemas.OrderStatus))]
    [Microsoft.XLANGs.BaseTypes.SchemaReference(@"TM.HelloBizTalk2013World.Schemas.ShipmentStatusSchema_TEST", typeof(global::TM.HelloBizTalk2013World.Schemas.ShipmentStatusSchema_TEST))]
    public sealed class Shared_OrderStatus_to_ShipmentStatus : global::Microsoft.XLANGs.BaseTypes.TransformBase {
        
        private const string _strMap = @"<xsl:stylesheet xmlns:xsl=""http://www.w3.org/1999/XSL/Transform"" version=""1.0""
                xmlns:ScriptNS0=""http://schemas.microsoft.com/BizTalk/2003/ScriptNS0""
                xmlns:ScriptNS1=""http://schemas.microsoft.com/BizTalk/2003/ScriptNS1""
                
                xmlns:DateTime=""TM.Shared.Components.DateTime""
                xmlns:SSO=""TM.Shared.Components.SSO""
                xmlns:String=""TM.Shared.Components.String""
                
                xmlns:s0=""http://TM.KLG.com/KLG/OrderStatus""
				        xmlns:ns0=""TM.HelloBizTalk2013World.Schemas""
                
                exclude-result-prefixes=""s0  ScriptNS0 ScriptNS1 DateTime SSO String"">

  <xsl:output omit-xml-declaration=""yes"" method=""xml"" version=""1.0"" indent=""yes"" />

  <xsl:variable name=""connectionString"" select=""SSO:GetValue('TM.HelloBizTalk2013World', 'ESBLookupConnectionString2016')""/>

  <xsl:template match=""/"">
    <xsl:apply-templates select=""/s0:StatusReport"" />
  </xsl:template>

  <xsl:template match=""/s0:StatusReport"">
    <ns0:ShipmentStatus>
      <ShipmentStatusReport>
        <ShipmentNumber>
          <xsl:value-of select=""Status/ShipmentReference""/>
        </ShipmentNumber>
        <StatusCode>D</StatusCode>
        <StatusDateTime>
          <xsl:value-of select=""Status/StatusTimeStamp""/>
        </StatusDateTime>
        <SignedBy />
        <Remarks />
      </ShipmentStatusReport>
    </ns0:ShipmentStatus>
  </xsl:template>


</xsl:stylesheet>";
        
        private const int _useXSLTransform = 0;
        
        private const string _strArgList = @"<ExtensionObjects>
  <ExtensionObject Namespace=""http://schemas.microsoft.com/BizTalk/2003/ScriptNS0"" 
                   AssemblyName=""Microsoft.BizTalk.BaseFunctoids, Version=3.0.1.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"" 
                   ClassName=""Microsoft.BizTalk.BaseFunctoids.FunctoidScripts"" />
  <ExtensionObject Namespace=""http://schemas.microsoft.com/BizTalk/2003/ScriptNS1"" 
                   AssemblyName=""Microsoft.BizTalk.CrossReferencing, Version=3.0.1.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"" 
                   ClassName=""Microsoft.BizTalk.CrossReferencing.CrossReferencing"" />
  <ExtensionObject Namespace=""TM.Shared.Components.DateTime""
                   AssemblyName=""TM.Shared.Components, Version=3.0.37.0, Culture=neutral, PublicKeyToken=9cbf569b151cb1d4""
                   ClassName=""TM.Shared.Components.DateTimeFunctions"" />
  <ExtensionObject Namespace=""TM.Shared.Components.KeyList""
                   AssemblyName=""TM.Shared.Components, Version=3.0.37.0, Culture=neutral, PublicKeyToken=9cbf569b151cb1d4""
                   ClassName=""TM.Shared.Components.KeyListFunctions"" />
  <ExtensionObject Namespace=""TM.Shared.Components.SSO""
                   AssemblyName=""TM.Shared.Components, Version=3.0.37.0, Culture=neutral, PublicKeyToken=9cbf569b151cb1d4""
                   ClassName=""TM.Shared.Components.SSOFunctions"" />
  <ExtensionObject Namespace=""TM.Shared.Components.String""
                   AssemblyName=""TM.Shared.Components, Version=3.0.37.0, Culture=neutral, PublicKeyToken=9cbf569b151cb1d4""
                   ClassName=""TM.Shared.Components.StringFunctions"" />
</ExtensionObjects>";
        
        private const string _strSrcSchemasList0 = @"TM.Shared.Schemas.OrderStatus";
        
        private const global::TM.Shared.Schemas.OrderStatus _srcSchemaTypeReference0 = null;
        
        private const string _strTrgSchemasList0 = @"TM.HelloBizTalk2013World.Schemas.ShipmentStatusSchema_TEST";
        
        private const global::TM.HelloBizTalk2013World.Schemas.ShipmentStatusSchema_TEST _trgSchemaTypeReference0 = null;
        
        public override string XmlContent {
            get {
                return _strMap;
            }
        }
        
        public override int UseXSLTransform {
            get {
                return _useXSLTransform;
            }
        }
        
        public override string XsltArgumentListContent {
            get {
                return _strArgList;
            }
        }
        
        public override string[] SourceSchemas {
            get {
                string[] _SrcSchemas = new string [1];
                _SrcSchemas[0] = @"TM.Shared.Schemas.OrderStatus";
                return _SrcSchemas;
            }
        }
        
        public override string[] TargetSchemas {
            get {
                string[] _TrgSchemas = new string [1];
                _TrgSchemas[0] = @"TM.HelloBizTalk2013World.Schemas.ShipmentStatusSchema_TEST";
                return _TrgSchemas;
            }
        }
    }
}
